﻿using System;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        #endregion
        #region 글 쓰기 버튼 클릭시 처리하기 - writeButton_Click(sender, e)

        /// <summary>
        /// 글 쓰기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void writeButton_Click(object sender, EventArgs e)
        {
            if(Session["WriteTime"] != null)
            {
                DateTime writeTime = Convert.ToDateTime(Session["WriteTime"]);

                TimeSpan timeSpan = DateTime.Now - writeTime;

                if(timeSpan.TotalSeconds < 5)
                {
                    this.displayLabel.Text = "잠시 대기해 주시기 바랍니다.";

                    return;
                }
            }

            Session["WriteTime"] = DateTime.Now;

            this.displayLabel.Text = this.inputTextBox.Text;
        }

        #endregion
    }
}